﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsBindingComboBOx
{
    public partial class BindingComboBox_Form : Form
    {
        private string DataFileName = System.IO.Path.Combine(Application.StartupPath, "data.xml");
        private DataSet Ds = new DataSet();

        public BindingComboBox_Form()
        {
            InitializeComponent();
        }

        private void Me_Shown(object sender, EventArgs e)
        {
            this.Cursor = Cursors.WaitCursor;
            try
            {
                Ds.Tables.Clear();
                Ds.ReadXml(DataFileName);
                Ds.Tables["data"].AcceptChanges();
                this.XML_BindingSource.DataSource = Ds.Tables["data"];
                this.Title_ComboBox.DataBindings.Add(new Binding("TexT",
                                                               this.XML_BindingSource,
                                                               "タイトル",
                                                               true));
                this.Title_ComboBox.DataSource = Ds.Tables["data"];
                this.Title_ComboBox.DisplayMember = "タイトル";
                this.Title_ComboBox.ValueMember = "日付";
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, this.Text);
            }
            finally
            {
                this.Cursor = Cursors.Default;
            }
        }

        private void OK_Button_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Text:" + this.Title_ComboBox.Text + Environment.NewLine +
                        "SelectedValue:" + this.Title_ComboBox.SelectedValue,
                        this.Text);
        }

        private void Cancel_Button_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
